--- old/usr/src/Makefile.master	Sun May  4 07:12:42 2014
+++ new/usr/src/Makefile.master	Sun May  4 07:12:42 2014
@@ -554,7 +554,7 @@
 		$(ENVCPPFLAGS4) -I$(NATIVE_ADJUNCT)/include
 CPPFLAGS=	$(CPPFLAGS.master)
 AS_CPPFLAGS=	$(CPPFLAGS.master)
-JAVAFLAGS=	-deprecation
+JAVAFLAGS=	-source 1.6 -target 1.6 -Xlint:deprecation,-options
 
 #
 # For source message catalogue
--- old/usr/src/cmd/Makefile	Sun May  4 07:12:42 2014
+++ new/usr/src/cmd/Makefile	Sun May  4 07:12:42 2014
@@ -217,7 +217,6 @@
 	iscsitsvc	\
 	isns		\
 	itadm		\
-	java		\
 	kbd		\
 	keyserv		\
 	killall		\
--- old/usr/src/cmd/cmd-inet/usr.lib/slpd/slp	Sun May  4 07:12:42 2014
+++ new/usr/src/cmd/cmd-inet/usr.lib/slpd/slp	Sun May  4 07:12:42 2014
@@ -35,7 +35,7 @@
 . /lib/svc/share/smf_include.sh
 
 CONF=/etc/inet/slp.conf
-JAVA_BIN=/usr/j2se/bin/java
+JAVA_BIN=/usr/java/bin/java
 CLASSPATH=/usr/share/lib/slp/slpd.jar
 MAIN_CLASS=com.sun.slp.slpd
 SLPD_HOME=/usr/lib/inet
--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/client/Makefile	Sun May  4 07:12:43 2014
+++ new/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/client/Makefile	Sun May  4 07:12:43 2014
@@ -80,6 +80,7 @@
 CLASSPATH=	$(SRC)/cmd/cmd-inet/usr.sadm/dhcpmgr
 
 JAVAFILES =	$(CLASSFILES:.class=.java)
+JAVAFLAGS =     -source 1.6 -target 1.6 -Xlint:-deprecation,-options
 
 MSGDIR=		$(ROOT)/usr/share/lib/locale/com/sun/dhcpmgr/client
 MSGDIRS =       $(ROOT)/usr/share/lib/locale \
--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/ui/Makefile	Sun May  4 07:12:43 2014
+++ new/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/ui/Makefile	Sun May  4 07:12:43 2014
@@ -71,6 +71,7 @@
 CLASSPATH=	$(SRC)/cmd/cmd-inet/usr.sadm/dhcpmgr
 
 JAVAFILES =	$(CLASSFILES:.class=.java)
+JAVAFLAGS =     -source 1.6 -target 1.6 -Xlint:-deprecation,-options
 
 MSGDIR=		$(ROOT)/usr/share/lib/locale/com/sun/dhcpmgr/ui
 MSGDIRS =       $(ROOT)/usr/share/lib/locale \
--- old/usr/src/cmd/dtrace/test/cmd/jdtrace/Makefile	Sun May  4 07:12:43 2014
+++ new/usr/src/cmd/dtrace/test/cmd/jdtrace/Makefile	Sun May  4 07:12:43 2014
@@ -75,9 +75,8 @@
 	$(LINK.c) -o $@ $(SRCS) $(LDLIBS)
 	$(POST_PROCESS) ; $(STRIP_STABS)
 
-JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR)
+JFLAGS += -source 1.5 -target 1.6 -Xlint:all,-options
 COMPILE.java=$(JAVAC) $(JFLAGS)
 JAVASRC= JDTrace.java Getopt.java
 
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/Makefile	Sun May  4 07:12:43 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/Makefile	Sun May  4 07:12:43 2014
@@ -60,9 +60,8 @@
 
 install: all $(PROTO_TEST_JAR)
 
-JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR)
+JFLAGS += -source 1.5 -target 1.6 -Xlint:all,-options,-rawtypes
 COMPILE.java=$(JAVAC) $(JFLAGS)
 
 $(TEST_JAR): $(SRCDIR)/*.java
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestAbort.java	Sun May  4 07:12:44 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestAbort.java	Sun May  4 07:12:44 2014
@@ -49,7 +49,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -77,7 +77,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -129,7 +129,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestClose.java	Sun May  4 07:12:44 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestClose.java	Sun May  4 07:12:44 2014
@@ -44,7 +44,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -64,7 +64,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestDrop.java	Sun May  4 07:12:44 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestDrop.java	Sun May  4 07:12:44 2014
@@ -63,7 +63,7 @@
     {
 	while (consumer.isRunning() && !done.get()) {
 	    try {
-		Thread.currentThread().sleep(50);
+		Thread.sleep(50);
 	    } catch (InterruptedException e) {
 	    }
 
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestFunctionLookup.java	Sun May  4 07:12:45 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestFunctionLookup.java	Sun May  4 07:12:45 2014
@@ -56,7 +56,7 @@
 	    String f;
 	    boolean done = false;
 	    for (int i = 0; (i < 20) && !done; ++i) {
-		Thread.currentThread().sleep(100);
+		Thread.sleep(100);
 		a = consumer.getAggregate();
 		for (Aggregation agg : a.getAggregations()) {
 		    for (Tuple tuple : agg.asMap().keySet()) {
@@ -88,7 +88,7 @@
 	    consumer.compile(userLookupProgram);
 	    consumer.enable();
 	    consumer.go();
-	    Thread.currentThread().sleep(500);
+	    Thread.sleep(500);
 	    Aggregate a = consumer.getAggregate();
 	    Number address;
 	    String f;
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStateMachine.java	Sun May  4 07:12:45 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStateMachine.java	Sun May  4 07:12:45 2014
@@ -609,7 +609,7 @@
 	    consumer.go();
 	    // Avoid race, call afterGo() in ConsumerListener
 	    try {
-		Thread.currentThread().sleep(300);
+		Thread.sleep(300);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStopLock.java	Sun May  4 07:12:45 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStopLock.java	Sun May  4 07:12:45 2014
@@ -51,7 +51,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(500);
+		Thread.sleep(500);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/java/Makefile	Sun May  4 07:12:45 2014
+++ /dev/null	Sun May  4 07:09:16 2014
@@ -1,61 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Despite the name, this directory doesn't contain the Java Virtual Machine.
-# It only contains base OS/Solaris files for improved integration of a
-# Java Virtual Machine.
-#
-
-include ../Makefile.cmd
-
-ADMINFILES=	default_java
-
-DIRMODE=	755
-FILEMODE=	444
-
-SADM_DIR=	$(ROOT)/var/sadm
-SYSTEM_DIR=	$(SADM_DIR)/system
-ADMIN_DIR=	$(SYSTEM_DIR)/admin
-
-ROOTDIRS=	$(SADM_DIR) $(SYSTEM_DIR) $(ADMIN_DIR)
-
-ROOTADMINFILES=	$(ADMINFILES:%=$(ADMIN_DIR)/%)
-
-.KEEP_STATE:
-
-all:
-
-install: all $(ROOTDIRS) $(ROOTADMINFILES)
-
-clean:
-
-lint:
-
-$(ROOTDIRS):
-	$(INS.dir)
-
-$(ADMIN_DIR)/%: %
-	$(INS.file)
-
-include ../Makefile.targ
--- old/usr/src/cmd/java/default_java	Sun May  4 07:12:46 2014
+++ /dev/null	Sun May  4 07:09:16 2014
@@ -1,31 +0,0 @@
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Java system configuration file.  Do not edit.
-#
-# Shell syntax.
-#
-DEFAULT_MIN=1.6
-DEFAULT_MAX=1.6
--- old/usr/src/cmd/krb5/kadmin/gui/Makefile	Sun May  4 07:12:46 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/Makefile	Sun May  4 07:12:46 2014
@@ -29,7 +29,6 @@
 include $(SRC)/Makefile.master
 include $(SRC)/cmd/Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
 TOGETHER= KdcGui KdcGuiMain KdcGuiOps KdcGuiRoot
--- old/usr/src/cmd/krb5/kadmin/gui/dataclasses/Makefile	Sun May  4 07:12:46 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dataclasses/Makefile	Sun May  4 07:12:46 2014
@@ -29,7 +29,6 @@
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DCPanel.java	Sun May  4 07:12:46 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DCPanel.java	Sun May  4 07:12:46 2014
@@ -90,7 +90,7 @@
      * of going to a text field.
      * @return false always.
      */
-    public boolean isFocusTraversable() {
+    public boolean isFocusable() {
     return false;
     }
 
@@ -301,7 +301,7 @@
      * Make the button non-focus traversable so that it cannot be
      * tabbed in to.
      */
-    public boolean isFocusTraversable() {
+    public boolean isFocusable() {
         return false;
     }
 
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DateTimeDialog.java	Sun May  4 07:12:46 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DateTimeDialog.java	Sun May  4 07:12:46 2014
@@ -491,7 +491,7 @@
 	    else
                if (e.getSource() == help) {
 		if (hd != null)
-		  hd.show();
+		  hd.setVisible(true);
 		else {
 		  hd = new
 		    HelpDialog(DateTimeDialog.this.parent,
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DurationHelper.java	Sun May  4 07:12:47 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DurationHelper.java	Sun May  4 07:12:47 2014
@@ -282,7 +282,7 @@
                 DurationHelper.this.durationHelperClose(false);
 	    } else if (e.getSource() == help) {
                 if (hd != null)
-                    hd.show();
+                    hd.setVisible(true);
                 else {
                     hd = new HelpDialog(DurationHelper. this.parent,
                         getString("Help for entering time duration"),
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/EncListDialog.java	Sun May  4 07:12:47 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/EncListDialog.java	Sun May  4 07:12:47 2014
@@ -256,7 +256,7 @@
 				}
 			} else if (e.getSource() == help) {
 				if (hd != null)
-					hd.show();
+					hd.setVisible(true);
 				else {
 					hd = new HelpDialog(
 					    EncListDialog.this.parent,
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/Makefile	Sun May  4 07:12:47 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/Makefile	Sun May  4 07:12:47 2014
@@ -27,7 +27,6 @@
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/native/Makefile	Sun May  4 07:12:48 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/native/Makefile	Sun May  4 07:12:48 2014
@@ -38,7 +38,6 @@
 install :=	TARGET= install
 lint :=		TARGET= lint
 
-JAVAFLAGS= -nowarn -O
 
 CLASSES=Kadmin
 
--- old/usr/src/cmd/krb5/kadmin/gui/util/Makefile	Sun May  4 07:12:48 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/util/Makefile	Sun May  4 07:12:48 2014
@@ -29,7 +29,6 @@
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/Makefile	Sun May  4 07:12:48 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/Makefile	Sun May  4 07:12:48 2014
@@ -38,7 +38,6 @@
 
 .KEEP_STATE:
 
-JAVAFLAGS= -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 CLASSPATH=$(GUIDIR)/visualrt:$(JAVA_ROOT)/jre/lib/rt.jar:$(JAVA_ROOT)/jre/lib/i18n.jar
 
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile	Sun May  4 07:12:48 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile	Sun May  4 07:12:48 2014
@@ -27,7 +27,7 @@
 #
 
 include $(SRC)/Makefile.master
-JAVAFLAGS= -nowarn -O
+JAVAFLAGS = -source 1.5 -target 1.6 -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
 def             :=      TARGET= def
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile.com	Sun May  4 07:12:49 2014
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile.com	Sun May  4 07:12:49 2014
@@ -26,7 +26,7 @@
 #pragma ident	"%Z%%M%	%I%	%E% SMI"
 #
 
-JAVAFLAGS= -nowarn -O
+JAVAFLAGS = -source 1.5 -target 1.6 -nowarn -O
 JRE=$(JAVA_ROOT)/jre/lib
 VRT=$(SRC)/cmd/krb5/kadmin/gui/visualrt
 
--- old/usr/src/cmd/pools/poold/com/sun/solaris/domain/pools/Makefile	Sun May  4 07:12:49 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/domain/pools/Makefile	Sun May  4 07:12:49 2014
@@ -27,7 +27,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-target 5
 
 SOURCE =	Move.java \
 		Expression.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/exception/Makefile	Sun May  4 07:12:49 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/exception/Makefile	Sun May  4 07:12:49 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	SuccinctStackTraceFormatter.java
 
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/kstat/Makefile	Sun May  4 07:12:50 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/kstat/Makefile	Sun May  4 07:12:50 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	Kstat.java \
 		KstatChainUpdateException.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/locality/Makefile	Sun May  4 07:12:50 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/locality/Makefile	Sun May  4 07:12:50 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	LocalityDomain.java \
 		LocalityGroup.java
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/logging/Makefile	Sun May  4 07:12:50 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/logging/Makefile	Sun May  4 07:12:50 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	Facility.java \
 		Severity.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/pools/Makefile	Sun May  4 07:12:50 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/pools/Makefile	Sun May  4 07:12:50 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 		
 SOURCE =	PoolInternal.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/timer/Makefile	Sun May  4 07:12:51 2014
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/timer/Makefile	Sun May  4 07:12:51 2014
@@ -30,7 +30,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	RecurringEventTimer.java \
 		SimpleRecurringEventTimer.java
--- old/usr/src/lib/libdtrace_jni/java/Makefile	Sun May  4 07:12:51 2014
+++ new/usr/src/lib/libdtrace_jni/java/Makefile	Sun May  4 07:12:51 2014
@@ -76,9 +76,9 @@
 APICLASSPATH=$(CLASSES):$(APIJAVASRC)
 
 # javac flags
-JFLAGS= -g -d $(CLASSES) -sourcepath $(APICLASSPATH) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -d $(CLASSES) -sourcepath $(APICLASSPATH)
+JFLAGS += -source 1.5 -target 1.6
+JFLAGS += -Xlint:all,-rawtypes,-options
 
 # The default make rule for Java files
 COMPILE.java=$(JAVAC) $(JFLAGS)
@@ -88,7 +88,7 @@
 
 # javah generated headers
 APIHDR= LocalConsumer.h
-JNIHDRS=$(JNI)/$(APIHDRS)
+JNIHDRS=$(JNI)/$(APIHDR)
 
 # API classes with native methods
 JNI_CLASSNAMES=\
--- old/usr/src/lib/libdtrace_jni/java/src/org/opensolaris/os/dtrace/LocalConsumer.java	Sun May  4 07:12:51 2014
+++ new/usr/src/lib/libdtrace_jni/java/src/org/opensolaris/os/dtrace/LocalConsumer.java	Sun May  4 07:12:51 2014
@@ -637,7 +637,7 @@
 		// that listeners finish executing consumerStopped()
 		// before the stop() method returns.
 		synchronized (this) {
-		    if (state == State.STOPPED || state == state.CLOSED) {
+		    if (state == State.STOPPED || state == State.CLOSED) {
 			//
 			// This consumer was stopped just after calling
 			// go() but before starting (the premature return
--- old/usr/src/lib/libslp/javalib/Makefile.conf	Sun May  4 07:12:52 2014
+++ new/usr/src/lib/libslp/javalib/Makefile.conf	Sun May  4 07:12:52 2014
@@ -55,7 +55,8 @@
 SLPCLASSPATH=$(CLASSES):$(SLPJAVASRC)
 
 # javac flags
-JFLAGS= -O -d $(CLASSES) -sourcepath $(SLPCLASSPATH) -deprecation
+JFLAGS= -O -d $(CLASSES) -sourcepath $(SLPCLASSPATH)
+JFLAGS += -source 1.6 -target 1.6 -Xlint:deprecation,-options
 
 # The default make rule for Java files
 COMPILE.java=$(JAVAC) $(JFLAGS)
--- old/usr/src/man/man5/filesystem.5	Sun May  4 07:12:52 2014
+++ new/usr/src/man/man5/filesystem.5	Sun May  4 07:12:52 2014
@@ -2240,16 +2240,6 @@
 .sp
 .ne 2
 .na
-\fB\fB/usr/j2se\fR\fR
-.ad
-.sp .6
-.RS 4n
-Java 2 SDK executables, loadable modules, and documentation.
-.RE
-
-.sp
-.ne 2
-.na
 \fB\fB/usr/java\fI*\fR\fR\fR
 .ad
 .sp .6
--- old/usr/src/pkg/manifests/SUNWcs.mf	Sun May  4 07:12:52 2014
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Sun May  4 07:12:52 2014
@@ -277,9 +277,6 @@
 dir path=var/opt group=sys
 dir path=var/preserve mode=1777
 dir path=var/run group=sys
-dir path=var/sadm group=sys
-dir path=var/sadm/system group=sys
-dir path=var/sadm/system/admin group=sys
 dir path=var/saf
 dir path=var/saf/zsmon group=sys
 dir path=var/spool
@@ -1471,7 +1468,6 @@
 file path=var/adm/wtmpx group=adm owner=adm preserve=true
 file path=var/log/authlog group=sys mode=0600 preserve=true
 file path=var/log/syslog group=sys preserve=true
-file path=var/sadm/system/admin/default_java group=sys mode=0444
 file path=var/saf/zsmon/log group=sys preserve=true
 file path=var/spool/cron/crontabs/adm group=sys mode=0600 preserve=true
 file path=var/spool/cron/crontabs/root group=sys mode=0600 preserve=true
--- old/usr/src/pkg/manifests/developer-dtrace.mf	Sun May  4 07:12:53 2014
+++ new/usr/src/pkg/manifests/developer-dtrace.mf	Sun May  4 07:12:53 2014
@@ -624,8 +624,13 @@
     group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/overview-tree.html group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/package-list group=other
-file path=usr/share/lib/java/javadoc/dtrace/api/resources/inherit.gif \
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/background.gif \
     group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/tab.gif group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/titlebar.gif \
+    group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/titlebar_end.gif \
+    group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/serialized-form.html \
     group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/stylesheet.css group=other
--- old/usr/src/pkg/manifests/service-network-dns-mdns.mf	Sun May  4 07:12:53 2014
+++ new/usr/src/pkg/manifests/service-network-dns-mdns.mf	Sun May  4 07:12:53 2014
@@ -132,8 +132,13 @@
 file path=usr/share/lib/java/javadoc/dnssd/api/index.html group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/overview-tree.html group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/package-list group=other
-file path=usr/share/lib/java/javadoc/dnssd/api/resources/inherit.gif \
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/background.gif \
     group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/tab.gif group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/titlebar.gif \
+    group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/titlebar_end.gif \
+    group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/serialized-form.html \
     group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/stylesheet.css group=other
